# Uses of Interface
org.eclipse.mat.inspections.collectionextract.ICollectionExtractor

Packages that use ICollectionExtractor
Package
Description
org.eclipse.mat.inspections.collectionextract
Code for reading data from collections found in a snapshot.
org.eclipse.mat.internal.collectionextract
Code for reading data from collections found in a snapshot.
org.eclipse.mat.snapshot.extension
Interfaces that extend the information extracted from heap dumps like threads, name resolvers etc.

## Uses of ICollectionExtractor in org.eclipse.mat.inspections.collectionextract

Classes in org.eclipse.mat.inspections.collectionextract with type parameters of type ICollectionExtractor
Modifier and Type
Class
Description
`class`
`AbstractExtractedCollection<E,X extends ICollectionExtractor>`
An abstract class representing a collection extracted from the heap.
Subinterfaces of ICollectionExtractor in org.eclipse.mat.inspections.collectionextract
Modifier and Type
Interface
Description
`interface`
`IMapExtractor`
MapExtractors are used to extract from the heap dump the contents of an object which represents a map of a certain type.
Methods in org.eclipse.mat.inspections.collectionextract that return ICollectionExtractor
Modifier and Type
Method
Description
`static ICollectionExtractor`
CollectionExtractionUtils.`findCollectionExtractor(String className)`
Finds a proper ICollectionExtractor for the object passed as parameter
`static ICollectionExtractor`
CollectionExtractionUtils.`findCollectionExtractor(IObject collection)`
Finds a proper ICollectionExtractor for the object passed as parameter
Methods in org.eclipse.mat.inspections.collectionextract with parameters of type ICollectionExtractor
Modifier and Type
Method
Description
`static AbstractExtractedCollection<?,?>`
CollectionExtractionUtils.`extractCollection(IObject collection, String specificClass, ICollectionExtractor preferredExtractor)`
Extracts from the heap the content of objects which represent a collection.
Constructors in org.eclipse.mat.inspections.collectionextract with parameters of type ICollectionExtractor
Modifier
Constructor
Description
``
`ExtractedCollection(IObject coll, ICollectionExtractor extractor)`

## Uses of ICollectionExtractor in org.eclipse.mat.internal.collectionextract

Classes in org.eclipse.mat.internal.collectionextract that implement ICollectionExtractor
Modifier and Type
Class
Description
`class`
`ArrayCollectionExtractor`
`class`
`ArrayListSubListCollectionExtractor`
`class`
`ConcurrentHashMapCollectionExtractor`
`class`
`ConcurrentSkipListCollectionExtractor`
`class`
`ConcurrentSkipListSetCollectionExtractor`
`class`
`EmptyCollectionExtractor`
Known-empty collections
`class`
`EmptyMapExtractor`
`class`
`FieldArrayCollectionExtractor`
`class`
`FieldSizeArrayCollectionExtractor`
`class`
`FieldSizeArrayMapExtractor`
`class`
`FieldSizedCapacityCollectionExtractor`
`class`
`FieldSizedCapacityMapExtractor`
`class`
`FieldSizedCollectionExtractor`
`class`
`HashedMapCollectionExtractorBase`
`class`
`HashMapCollectionExtractor`
`class`
`HashSetCollectionExtractor`
`class`
`IBM6ArrayListCollectionExtractor`
`class`
`IdentityHashMapCollectionExtractor`
Info for IdentityHashMaps These are stored as key/value pairs in an array
`class`
`KeySetCollectionExtractor`
`class`
`LinkedListCollectionExtractor`
`class`
`MapCollectionExtractorBase`
`class`
`MATArrayBig`
`class`
`MATCollectionExtractor`
`class`
`NoContentCollectionExtractor`
`class`
`Pair12CollectionExtractor`
`class`
`PairCollectionExtractor`
`class`
`RegularEnumSetExtractor`
`class`
`ReplicatedValueCollectionExtractor`
`class`
`SetFromCollectionExtractor`
Give a set-like extractor from a collection extractor
`class`
`SingletonCollectionExtractor`
`class`
`SingletonMapExtractor`
`class`
`TreeMapArrayCollectionExtractor`
`class`
`TreeMapCollectionExtractor`
`class`
`TreeSetArrayCollectionExtractor`
`class`
`TreeSetCollectionExtractor`
`class`
`ValuesCollectionExtractor`
`class`
`WrapperCollectionExtractor`
`class`
`WrapperFieldCollectionExtractor`
`class`
`WrapperFieldMapExtractor`
`class`
`WrapperMapExtractor`
`class`
`WrapperSetFromMapExtractor`
Creates an extractor to view a map as a set.
Fields in org.eclipse.mat.internal.collectionextract declared as ICollectionExtractor
Modifier and Type
Field
Description
`static final ICollectionExtractor`
ArrayCollectionExtractor.`INSTANCE`
Constructors in org.eclipse.mat.internal.collectionextract with parameters of type ICollectionExtractor
Modifier
Constructor
Description
``
`KeySetCollectionExtractor(String field, ICollectionExtractor extractor)`
``
`SetFromCollectionExtractor(ICollectionExtractor ex)`
``
`SetFromCollectionExtractor(ICollectionExtractor ex, double collisionRatio)`
``
`ValuesCollectionExtractor(String field, ICollectionExtractor extractor)`
``
`WrapperCollectionExtractor(String field, ICollectionExtractor extractor)`
``
`WrapperFieldCollectionExtractor(String field, String entryfield, ICollectionExtractor extractor)`
``
`WrapperFieldMapExtractor(String field, String keyfield, String valuefield, ICollectionExtractor extractor)`
``
`WrapperMapExtractor(String field, ICollectionExtractor extractor)`

## Uses of ICollectionExtractor in org.eclipse.mat.snapshot.extension

Fields in org.eclipse.mat.snapshot.extension declared as ICollectionExtractor
Modifier and Type
Field
Description
`final ICollectionExtractor`
CollectionExtractionInfo.`extractor`
Constructors in org.eclipse.mat.snapshot.extension with parameters of type ICollectionExtractor
Modifier
Constructor
Description
``
`CollectionExtractionInfo(String className, EnumSet<JdkVersion> version, ICollectionExtractor extractor)`
``
`CollectionExtractionInfo(String className, ICollectionExtractor extractor)`
``
`CollectionExtractionInfo(String className, JdkVersion version, ICollectionExtractor extractor)`